%define builddir %{prefix}/src/redhat/BUILD/%{name}-%{version}

Summary: unpacks .zip files such as those made by pkzip under DOS
Name: unzip
Version: 5.40
Release: 4mdk
Copyright: distributable
Url: http://www.cdrom.com/pub/infozip
Group: Archiving/Compression
Source: ftp://ftp.icce.rug.nl/infozip/src/%{name}540.tar.gz
Prefix: /usr
Buildroot: /tmp/%{name}-%{version}-%{release}-root

%description
unzip will list, test, or extract files from a ZIP archive, commonly
found on MS-DOS systems.  A companion program, zip, creates ZIP
archives; both programs are compatible with archives created by
PKWARE's PKZIP and PKUNZIP for MS-DOS, but in many cases the program
options or default behaviors differ.

%prep
%setup -q -n %{name}-%{version}

%build

%ifarch i386 i486 i586 i686
make -ef unix/Makefile linux CF="$RPM_OPT_FLAGS -Wall -I. -DASM_CRC" CC=gcc LD=gcc AS=gcc AF="-Di386" CRC32=crc_gcc
%else
make -ef unix/Makefile linux_noasm
%endif


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,man/man1}

ln -s unzip zipinfo
for i in unzip funzip unzipsfx zipinfo;	\
do	install $i $RPM_BUILD_ROOT%{prefix}/bin;done;
install unix/zipgrep $RPM_BUILD_ROOT%{prefix}/bin

for i in unix/*.1;	\
do \
  install -m 644 $i $RPM_BUILD_ROOT%{prefix}/man/man1
done

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files
%defattr(-,root,root)
%doc BUGS COPYING Contents History.* INSTALL README ToDo WHERE
%doc unzip.doc unzipsfx.doc zipgrep.doc zipinfo.doc proginfo/
%{prefix}/bin/unzip
%{prefix}/bin/funzip
%{prefix}/bin/unzipsfx
%{prefix}/bin/zipinfo
%{prefix}/bin/zipgrep
%{prefix}/man/man1/*

%changelog
* Mon Apr 03 2000 Jerome Martin <jerome@mandrakesoft.com> 5.40-4mdk
- spec-helper cleanup
- fix group

* Sun Nov 28 1999 Pixel <pixel@linux-mandrake.com>
- non-intel adaptation (thanks to Stefan van der Eijk)
- cleanup (was it really mandrake adapted?!)

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- build release.

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 5.40
- ix86 optimizations and various spec cleanings

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- builds on non i386 platforms

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- updated the version

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

